<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core">
        <p:panelGrid id="panelObraSocial" columns="3">
                
			<p:outputLabel for="estadoObraSocial" value="Estado : " />
			<p:selectOneMenu id="estadoObraSocial" value="#{legajoMB.instance.estadoObraSocial}" required="true" label="Estado" disabled="#{!legajoMB.puedeEditar()}">
                		<f:selectItems value="#{commonSelectorsMB.valoresDesconocePoseeONo}" 
                			var="elem" itemValue="#{elem}" itemLabel="#{elem.descripcion}"/>
                		<p:ajax event="change" listener="#{legajoMB.actualizarObraSocial}" update="panelObraSocial"/>
            </p:selectOneMenu>
            <p:message for="estadoObraSocial" display="icon"/>
            
            <p:outputLabel for="obraSocial" value="Cobertura de Salud : " />
			<p:selectOneMenu id="obraSocial" value="#{legajoMB.instance.obraSocial}" 
				converter="obraSocialConverter" required="#{legajoMB.instance.estadoObraSocial eq 'POSEE'}" 
				disabled="#{legajoMB.instance.estadoObraSocial ne 'POSEE' or !legajoMB.puedeEditar()}" label="Cobertura de Salud" >
                		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
                		<f:selectItems value="#{commonSelectorsMB.getObrasSociales(legajoMB.instance.obraSocial)}"
                			var="osoc" itemLabel="#{osoc.descripcion}" itemValue="#{osoc}" />
            </p:selectOneMenu>
            <p:message for="obraSocial" display="icon"/>
            
            <p:outputLabel for="observacionObraSocial" value="Observaciones : " />
            <p:inputTextarea id="observacionObraSocial" value="#{legajoMB.instance.observacionObraSocial}" readonly="#{!legajoMB.puedeEditar()}"  rows="5" cols="100"/>
			<p:message for="observacionObraSocial" display="icon"/>

		</p:panelGrid>
</ui:composition>